Name:		gluegen
Version:	1.1.1
Release:	1%{?dist}
Summary:	Java/JNI glue code generator to call out to ANSI C

Group:		Development/Libraries
License:	BSD
URL:		https://gluegen.dev.java.net/
#glugen is extracted from jogl
#http://download.java.net/media/jogl/builds/archive/jsr-231-1.1.1a/jogl-1.1.1a-src.zip
Source0:	jogl.tar.gz
Source1:	gluegen.properties
Patch0:		antlr-properties.patch
Patch1:		no-solaris.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	ant-antlr
BuildRequires:	cpptasks
BuildRequires:	jpackage-utils
Requires: java >= 1:1.6.0
Requires: jpackage-utils
Requires: antlr


%description
GlueGen is a tool which automatically generates the Java and JNI
code necessary to call C libraries. It reads as input ANSI C header
files and separate configuration files which provide control over
many aspects of the glue code generation. GlueGen uses a complete
ANSI C parser and an internal representation (IR) capable of
representing all C types to represent the APIs for which it
generates interfaces. 


%prep
%setup -q -n jogl
%patch0 -p1 -b .antlr-properties.patch
%patch1 -p1 -b .no-solaris.patch
rm -rdf %{_builddir}/jogl/jogl
mv %{_builddir}/jogl/%{name}/LICENSE.txt %{_builddir}/jogl

%build
cd %{_builddir}/jogl/%{name}/make
ant \
 -Dantlr.jar=$(build-classpath antlr)


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -D %{_builddir}/jogl/%{name}/build/gluegen.jar %{buildroot}%{_javadir}/gluegen-%{version}.jar
install -D %{_builddir}/jogl/%{name}/build/gluegen-rt.jar %{buildroot}%{_javadir}/gluegen-rt-%{version}.jar
install -D %{_builddir}/jogl/%{name}/build/obj/libgluegen-rt.so %{buildroot}%{_libdir}/java/libgluegen-rt.so



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_datadir}/java/*.jar
%{_libdir}/java/libgluegen-rt.so

%changelog
* Sun Feb 21 2010 Henrique Junior <lspooky@fedoraproject.org> - 1.1.1-1
- Initial package with inspiration on Kwizart's spec
- Gluegen and JOGL came from the same source (repackaged)
- antlr-properties.patch points to the right location in Fedora
- no-solaris.patch looks the "no sun cc" crash

